Subject: Re: bug#66025: 30.0.50; eldoc.el: eldoc--invoke-strategy: register-doc defined with 4 args, called with 5

From: Vladimir Nikishkin <[email-masked]>
Date: Sat, 16 Sep 2023 23:51:09 +0800

Yes, apologies, very stupid of me.

This eldoc problem is specific to my build. It is even more ironic
that it was me who found the problem with this file in March, and
reported it, and the bug was eventually fixed.
Now my improvised patch that I have been using since to compensate for
that bug that I had reported in March actually conflicts (expectedly)
with the actual fix merged-in later.

They say that amnesia is a great illness, because if you have amnesia,
you don't remember that you have dementia.
Describes my case precisely.

This bug should be closed. Apologies once again.

On Sat, 16 Sept 2023 at 22:56, João Távora <[email-masked]> wrote:
>
> On Sat, Sep 16, 2023 at 12:12 PM Vladimir Nikishkin <[email-masked]> wrote:
> >
> > I am pretty sure it is master, but let me check if my build is somehow broken.
>
> Please do check, I have a more-than-faint recollection I
> already fixed this bug some months ago.  Eldoc is an ELPA
> :core package.  You may somehow be using a version of it
> which is shadowing master's (though I don't see it in
> your report of 'load-path-shadows').
>
> João

--
Yours sincerely, Vladimir Nikishkin
(Sent from GMail web interface.)